package com.loafle.overflow.module.probe.dao;

import com.loafle.overflow.module.domain.model.Domain;
import com.loafle.overflow.module.probe.model.Probe;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;


/**
 * Created by insanity on 17. 5. 29.
 */
@Repository
public interface ProbeDAO extends JpaRepository<Probe, Long> {
//    public List<Agent> findAgentListByMemberId(Member member);

    Probe findByProbeKey(String probeKey);

    List<Probe> findAllByDomain(Domain domain);
}