package com.loafle.overflow.proxy;

import com.google.common.primitives.Primitives;
import com.loafle.overflow.module.target.service.TargetDiscoveryService;
import com.loafle.overflow.spring.AppConfig;
import com.loafle.overflow.spring.JdbcConfiguration;
import com.loafle.overflow.spring.MailConfiguration;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.lang.reflect.Constructor;
import java.util.ArrayList;
import java.util.List;

import static org.junit.Assert.*;

/**
 * Created by crusader on 17. 6. 30.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class, MailConfiguration.class})
public class ServiceInvokerTest {
    @Autowired
    private ServiceInvoker serviceInvoker;

    @Test
    public void invoke() throws Exception {

//        List<String> params = new ArrayList<>(2);
//        params.add("[{\"id\": 1," +
//                "\"ip\":2312132112," +
//                "\"mac\":12312312," +
//                "\"os\": \"Windows\"," +
//                "\"target\":true}]");
//        params.add("{\"id\": 1," +
//                "\"ip\":2312132112," +
//                "\"probeKey\":\"sdfsdfsdfsdfsd\"}");
//
//        serviceInvoker.invoke("TargetDiscoveryService", "saveAllTarget", params);

//        List<String> params = new ArrayList<>(1);
//        params.add("1");
//
//        serviceInvoker.invoke("InfraOSService", "read", params);

        List<String> params = new ArrayList<>(1);
        params.add("1");

        serviceInvoker.invoke("MemberService", "read", params);

    }



}